### Class

# PapersDocument Media

#### Description

    class PapersDocument.Media : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_media_new_for_uri

No description available.

#### Instance methods

###### pps_media_get_page_index

No description available.

###### pps_media_get_show_controls

No description available.

###### pps_media_get_uri

No description available.

###### pps_media_set_show_controls

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersDocumentMediaClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.